ファイルサーバなどに用いられるSambaのモジュールに重大な脆弱性。Webサイトへの影響と対策 (CVE-2021-44142)

こんにちは。「SiteCloud」プリセールスの高瀬です。

2022年2月にSambaのvfs_fruitモジュールについて脆弱性(CVE-2021-44142)が発表されました。

悪用されるとリモートで任意のコードを実行される可能性があり、アメリカ国立標準技術研究所の脆弱性データベースでは危険度がHighとなっています。

https://nvd.nist.gov/vuln/detail/CVE-2021-44142

SambaでMacからも共有フォルダを使用できるように vfs_fruit モジュールを有効にしている場合、ファイルの属性情報を細工することで任意のコードを実行されてしまう可能性があります。

脆弱性の対象となるバージョン

影響を受けるバージョンは下記の通りです。

・Samba 4.13.17未満、4.14.12未満、4.15.5未満

yumを利用している場合は、サーバーにシェルアクセスして下記のコマンドでSambaのインストール有無とバージョンを確認できます。

 rpm -q samba

また、設定ファイル smb.conf 内の vfs objects という項目の値に fruit が含まれている場合は vfs_fruit モジュールを利用している可能性があります。

脆弱性の対策

Redhatを利用している場合は、OS提供元が公開している修正版のhttpdおよび関連パッケージを確認して適用する形になります。他のOSの場合も提供元の発表を確認することをお勧めします。

■ Red Hat Enterprise Linux Server 7

https://access.redhat.com/errata/RHSA-2022:0328

取り急ぎ、Macからの接続がない環境であれば、 smb.conf 内の vfs objects から fruit を削除する、という方法もRedhat社のアドバイザリで紹介されています。

https://access.redhat.com/security/cve/cve-2021-44142

Webサイトへの影響について

SambaはLinuxサーバーとWindowsやMacの間でファイルなどを共有するためのソフトとなり、Webサイトへ直接影響することはありません。リモート作業のために、社外からもファイルサーバにアクセスできるようにしている場合は注意が必要です。

さいごに

今回の脆弱性に関して、通常はWebサーバへ影響するものではありませんが、自社のサイトやファイルサーバを一台のサーバにまとめて自社管理などされている場合は対策が必要になります。

弊社ではお客様サーバーのご利用状況に応じて、エンジニアが日々発表される脆弱性の影響有無を確認して、必要に応じて修正パッケージの適用を行なっております。

サイト制作、運用が多忙でサーバーソフトの脆弱性対策を行うことが難しい場合はぜひご相談くださいませ。

コーポレートサイトをクラウドでセキュアに

SiteCloudガイドブック

「SiteCloud」の詳しい内容が分かる資料をご用意しました。
  • コーポレートサイト構築・運用の課題を解決
  • SiteCloudの主な機能
  • 導入事例
  • 導入までの流れ

関連する解決策

最新記事

タグ

詳しい資料をご覧いただけます

    サイバーの鎧のサービス内容を記載した資料をダウンロードできます。
             

【無料診断実施中】サーバーセキュリティ診断

経験豊富なセキュリティ専門技術者が、サーバーの状況を診断して、分かりやすい診断結果と今後の対応策をご覧いただけます。

無料サーバー診断申し込み
close